tech-x11 archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: PR/44120 fixesproto on systems with older base X installs (Was: Building gtk2 on OS X Tiger (xfixesproto/xextproto issue))

On 7 December 2010 20:49, Bernd Ernesti <> wrote:
> On Tue, Dec 07, 2010 at 08:32:17PM +0000, David Brownlee wrote:

>> It would appear the four options for affected systems would be:
>> a) switch to modular-x11. This simplest option, but most heavyweight.
>> b) switch to the modular-x11 xfixes - likely to involve swtching more
>> and more libs over time
>> c) reimport fixesproto4.0 and use in this case
>> d) try to use whatever is in the system includes
> I use the following for the time beeing:
> e) downgrade the required version in the two files

Could you indicate how that would work? My system is installing a
fixesproto which is too new for the Xfixes. I don't see how I can get
an Xfixes installed without a matching (or close to matching)

Home | Main Index | Thread Index | Old Index